#-----------------------------------------------------------------------------
#
#   PyWeek 11 - Main menu screen
#
#-----------------------------------------------------------------------------

from pygame.locals import *
from humerus.main_commands import MainCommandScreen

class MainMenuScreen(MainCommandScreen):

	menu_items = [
		("Help",             'about',              [K_F1, K_h]),
		("New Game",         'new_game',           [K_n]),
		#("Load Game...",     'load_game',          [K_o]),
		#("Save Game",        'save_game',          [K_s]),
		#("Save Game As...",  'save_game_as',       []),
		("Continue",         'resume_game',        []),
		#("Restart Level",    'restart_level',      [K_r]),
		#("Custom Levels...", 'open_level_set',     [K_k]),
		#("Level Editor",     'enter_level_editor', [K_e]),
		("Quit",             'quit',               [K_q]),
	]
