#-----------------------------------------------------------------------------
#
#   PyWeek 11 - Shell
#
#-----------------------------------------------------------------------------

from albow.dialogs import alert
from humerus.hshell import HShell
from main_menu_screen import MainMenuScreen
#from about_screen import AboutScreen
from play_screen import PlayScreen

class PW11Shell(HShell):

	game_title = "A Game of Catch"

	def __init__(self, *args, **kwds):
		HShell.__init__(self, *args, **kwds)
		self.main_menu_screen = MainMenuScreen(self, with_menu = True)
		self.play_screen = PlayScreen(self)
#		self.about_screen = AboutScreen(self)
		self.show_main_menu_screen()

	def game_completed(self, result):
		alert("Everything caught.")
		self.show_main_menu_screen()
